MEMPOOL_FREE(9)

NAME
mempool_free - return an element to the pool.

SYNOPSIS

void mempool_free (void * element, mempool_t * pool);

ARGUMENTS

element
    pool element pointer.

pool
    pointer to the memory pool which was allocated via mempool_create.

DESCRIPTION

this function only sleeps if the free_fn function sleeps.